This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 439849 - [Feature request] Renaming a printer
[Feature request] Renaming a printer
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-03-31 14:46 EDT by Viktor Erdelyi
Modified: 2008-06-09 05:32 EDT (History)
0 users

See Also:
Fixed In Version: 1.0.0-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-09 05:32:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Viktor Erdelyi 2008-03-31 14:46:26 EDT
Description of problem:

I found no option for renaming a printer in system-config-printer. I can change
the description, the place etc, but not the name.

Workarounds:
1. Rename it in the KDE control panel.
2. Manually edit /etc/cups/printers.conf
Comment 1 Tim Waugh 2008-04-01 05:48:25 EDT
This isn't as easy as it appears, as we have to make sure that any active or
pending jobs are dealt with correctly.

The simplest solution would be to prevent the name being changed if there are
jobs in the queue.
Comment 2 Tim Waugh 2008-04-16 12:20:28 EDT
OK, I've checked in support for this in trunk, and it will appear in the next
version after 0.9.90.  Changing blocker to F10Target.

Note You need to log in before you can comment on or make changes to this bug.